Bug 28162 - Self registration fails if patron extended attributes are editable
Summary: Self registration fails if patron extended attributes are editable
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on: 28031
Blocks:
  Show dependency treegraph
 
Reported: 2021-04-16 19:40 UTC by Lucas Gass
Modified: 2021-04-29 11:48 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 28162: fix doubled scalar sigil (855 bytes, patch)
2021-04-16 19:50 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28162: fix doubled scalar sigil (1.16 KB, patch)
2021-04-16 19:52 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28162: fix doubled scalar sigil (1.21 KB, patch)
2021-04-17 23:16 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2021-04-16 19:40:28 UTC
To recreate:

-Set up some patron extended attributes 
-Make sure you check 'Display in OPAC' and 'Editable in OPAC'
-Go to self registration and attempt to register
-you get an error ( Not a SCALAR reference at /kohadevbox/koha/opac/opac-memberentry.pl line 110 )


Probably Bug 28031 is to blame.
Comment 1 Lucas Gass 2021-04-16 19:48:28 UTC
Actually, it looks like this is a just a typo and the scalar sigil is doubled.
Comment 2 Lucas Gass 2021-04-16 19:50:58 UTC
Created attachment 119782 [details] [review]
Bug 28162: fix doubled scalar sigil
Comment 3 Lucas Gass 2021-04-16 19:52:58 UTC
Created attachment 119783 [details] [review]
Bug 28162: fix doubled scalar sigil

TEST PLAN:

1 Set up some patron extended attributes
2 Make sure you check 'Display in OPAC' and 'Editable in OPAC'
3 Go to self registration and attempt to register
4 you get an error ( Not a SCALAR reference at /kohadevbox/koha/opac/opac-memberentry.pl line 110 )
5 Apply patch
6 repeat steps 1-3, ther should be no error now
Comment 4 Katrin Fischer 2021-04-17 23:16:19 UTC
Created attachment 119803 [details] [review]
Bug 28162: fix doubled scalar sigil

TEST PLAN:

1 Set up some patron extended attributes
2 Make sure you check 'Display in OPAC' and 'Editable in OPAC'
3 Go to self registration and attempt to register
4 you get an error ( Not a SCALAR reference at /kohadevbox/koha/opac/opac-memberentry.pl line 110 )
5 Apply patch
6 repeat steps 1-3, ther should be no error now

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2021-04-17 23:17:02 UTC
A small change - risking to go directly to PQA here.
Comment 6 Jonathan Druart 2021-04-21 08:47:18 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-04-29 11:48:15 UTC
Depends on Bug 28031 not in 20.11.x